# TiffIO.pri : define evrything common to TiffIO and TiffIO-debug
#
# $Id: TiffIO.pri,v 1.2 2004/11/05 12:58:56 gascuel Exp $
#

TEMPLATE = lib
TARGET   = TiffIO

#Note: All *_SUPPORT flags are set inside tif_config.h
#               libtiff/tif_ojpeg.c \

HEADERS += \
    libtiff\tiff.h          \
    libtiff\tiffio.h        \
    libtiff\tiffiop.h       \
    libtiff\tiffvers.h      \
    libtiff\tif_config.h

SOURCES += \
    TiffIO.cpp              \
    libtiff/tif_aux.c       \
    libtiff/tif_close.c     \
    libtiff/tif_codec.c     \
    libtiff/tif_color.c     \
    libtiff/tif_compress.c  \
    libtiff/tif_dir.c       \
    libtiff/tif_dirinfo.c   \
    libtiff/tif_dirread.c   \
    libtiff/tif_dirwrite.c  \
    libtiff/tif_dumpmode.c  \
    libtiff/tif_error.c     \
    libtiff/tif_extension.c \
    libtiff/tif_fax3.c      \
    libtiff/tif_fax3sm.c    \
    libtiff/tif_flush.c     \
    libtiff/tif_getimage.c  \
    libtiff/tif_luv.c       \
    libtiff/tif_next.c      \
    libtiff/tif_open.c      \
    libtiff/tif_packbits.c  \
    libtiff/tif_pixarlog.c  \
    libtiff/tif_predict.c   \
    libtiff/tif_print.c     \
    libtiff/tif_read.c      \
    libtiff/tif_strip.c     \
    libtiff/tif_swab.c      \
    libtiff/tif_thunder.c   \
    libtiff/tif_tile.c      \
    libtiff/tif_version.c   \
    libtiff/tif_warning.c   \
    libtiff/tif_write.c

!no-zlib: SOURCES += libtiff/tif_zip.c
!no-lzw:  SOURCES += libtiff/tif_lzw.c
!no-jpeg: SOURCES += libtiff/tif_jpeg.c

win32: SOURCES += libtiff/tif_win32.c
unix : SOURCES += libtiff/tif_unix.c

